#### Previous topic

scipy.special.roots_hermitenorm

#### Next topic

scipy.special.roots_sh_legendre

# scipy.special.roots_gegenbauer

`scipy.special.``roots_gegenbauer`(n, alpha, mu=False)

  Gauss-Gegenbauer quadrature.

  Computes the sample points and weights for Gauss-Gegenbauer quadrature. The sample points are the roots of the n-th degree Gegenbauer polynomial, \(C^{\alpha}_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([-1, 1]\) with weight function \(f(x) = (1 - x^2)^{\alpha - 1/2}\).

  Parameters:

  n : int

  > quadrature order

  alpha : float

  > alpha must be > -0.5

  mu : bool, optional

  > If True, return the sum of the weights, optional.

  Returns:

  x : ndarray

  > Sample points

  w : ndarray

  > Weights

  mu : float

  > Sum of the weights

  See also

  `scipy.integrate.quadrature`, `scipy.integrate.fixed_quad`